## ros-galactic-moveit-servo 2.3.4

=== debian/changelog ===
ros-galactic-moveit-servo (2.3.4-1focal) focal; urgency=high

  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>) (#1023 <https://github.com/ros-planning/moveit2/issues/1023>)
  * Add moveit_configs_utils package to simplify loading paramters (backport #591 <https://github.com/ros-planning/moveit2/issues/591>) (#1019 <https://github.com/ros-planning/moveit2/issues/1019>)
  * Contributors: AndyZe, Cory Crean, Stephanie Eng, Tyler Weaver, Vatan Aksoy Tezer

 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-servo (2.3.3-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-servo (2.3.2-1focal) focal; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-servo (2.3.1-1focal) focal; urgency=high

  * Servo: fix -Wunused-private-field (#937 <https://github.com/ros-planning/moveit2/issues/937>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Add descriptions and default values to servo parameters (#799 <https://github.com/ros-planning/moveit2/issues/799>)
  * Update README (#812 <https://github.com/ros-planning/moveit2/issues/812>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * moveit_servo: Fix ACM for collision checking & PSM's scene monitor topic (#673 <https://github.com/ros-planning/moveit2/issues/673>)
  * Fix initialization of PSM publisher in servo (#771 <https://github.com/ros-planning/moveit2/issues/771>)
  * Move initialization of ServoNode into constructor (#761 <https://github.com/ros-planning/moveit2/issues/761>)
  * Fix missing test depend in servo (#759 <https://github.com/ros-planning/moveit2/issues/759>)
  * Find/replace deprecated spawner.py (#737 <https://github.com/ros-planning/moveit2/issues/737>)
  * Fix the servo executable name (#746 <https://github.com/ros-planning/moveit2/issues/746>)
  * Use rclcpp::SystemDefaultsQoS in Servo (#721 <https://github.com/ros-planning/moveit2/issues/721>)
  * Use multi-threaded component container, do not use intraprocess comms in Servo (#723 <https://github.com/ros-planning/moveit2/issues/723>)
  * Disable use_intra_process_comms in servo launch files (#722 <https://github.com/ros-planning/moveit2/issues/722>)
  * Servo: minor fixups (#2759 <https://github.com/ros-planning/moveit/issues/2759>)
  * Contributors: AndyZe, Dave Coleman, David V. Lu!!, Henning Kayser, Jafar Abdi, Robert Haschke, Stephanie Eng, Tyler Weaver, toru-kuga

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 23 Dec 2021 07:00:00 -0000

ros-galactic-moveit-servo (2.3.0-1focal) focal; urgency=high

  * Make TF buffer & listener in PSM private (#654 <https://github.com/ros-planning/moveit2/issues/654>)
  * Rename ServoServer to ServerNode (#649 <https://github.com/ros-planning/moveit2/issues/649>)
  * Fix std::placeholders namespace conflict (#713 <https://github.com/ros-planning/moveit2/issues/713>)
  * Publish singularity condition to ~/servo_server/condition (#695 <https://github.com/ros-planning/moveit2/issues/695>)
  * Skip publishing to Servo topics if input commands are stale (#707 <https://github.com/ros-planning/moveit2/issues/707>)
  * Delete duplicate entry in Servo launch file (#684 <https://github.com/ros-planning/moveit2/issues/684>)
  * Fix cmake warnings (#690 <https://github.com/ros-planning/moveit2/issues/690>)
    * Fix -Wformat-security
    * Fix -Wunused-variable
    * Fix -Wunused-lambda-capture
    * Fix -Wdeprecated-declarations
    * Fix clang-tidy, readability-identifier-naming in moveit_kinematics
  * Add standalone executable for Servo node, and example launch file (#621 <https://github.com/ros-planning/moveit2/issues/621>)
  * Validate return of getJointModelGroup in ServoCalcs (#648 <https://github.com/ros-planning/moveit2/issues/648>)
  * Migrate to joint_state_broadcaster (#657 <https://github.com/ros-planning/moveit2/issues/657>)
  * Add gripper and traj control packages as run dependencies (#636 <https://github.com/ros-planning/moveit2/issues/636>)
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Remove stray semicolon (#613 <https://github.com/ros-planning/moveit2/issues/613>)
  * Re-Enable Servo Tests (#603 <https://github.com/ros-planning/moveit2/issues/603>)
  * Fix missing include in servo example (#604 <https://github.com/ros-planning/moveit2/issues/604>)
  * Document the difference between Servo pause/unpause and start/stop (#605 <https://github.com/ros-planning/moveit2/issues/605>)
  * Wait for complete state duration fix (#590 <https://github.com/ros-planning/moveit2/issues/590>)
  * Delete "stop distance"-based collision checking (#564 <https://github.com/ros-planning/moveit2/issues/564>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Refactor out velocity limit enforcement with test (#540 <https://github.com/ros-planning/moveit2/issues/540>)
  * Refactor moveit_servo::LowPassFilter to be assignable (#572 <https://github.com/ros-planning/moveit2/issues/572>)
  * Fix MoveIt Servo compilation on macOS (#555 <https://github.com/ros-planning/moveit2/issues/555>)
  * Fix segfault if servo collision checking is disabled (#568 <https://github.com/ros-planning/moveit2/issues/568>)
  * Remove gtest include from non-testing source (#2747 <https://github.com/ros-planning/moveit2/issues/2747>)

