=== debian/control ===
Source: ros-galactic-moveit-servo
Section: misc
Priority: optional
Maintainer: Blake Anderson <blakeanderson@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-control-msgs, ros-galactic-control-toolbox, ros-galactic-controller-manager, ros-galactic-geometry-msgs, ros-galactic-moveit-common, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-resources-panda-moveit-config, ros-galactic-moveit-ros-planning-interface, ros-galactic-pluginlib, ros-galactic-ros-testing, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-tf2-eigen, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Homepage: https://ros-planning.github.io/moveit_tutorials
Standards-Version: 3.9.2

Package: ros-galactic-moveit-servo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-control-msgs, ros-galactic-control-toolbox, ros-galactic-geometry-msgs, ros-galactic-gripper-controllers, ros-galactic-joint-state-broadcaster, ros-galactic-joint-trajectory-controller, ros-galactic-joy, ros-galactic-launch-param-builder, ros-galactic-moveit-configs-utils, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-ros-planning-interface, ros-galactic-pluginlib, ros-galactic-robot-state-publisher, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-tf2-eigen, ros-galactic-tf2-ros, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Description: Provides real-time manipulator Cartesian and joint servoing.
